<?php

	$page_title = 'Add Questions';

	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';

?>

	<div class="wrapper">

		<?php include 'sidebar.php'; ?>

		<div class="main">

			<?php include 'top-bar.php'; ?>

			<main class="content">

				<div class="container-fluid p-0">

					<div class="d-flex justify-content-between mb-3 align-items-center">

						<h4 class="card-title mb-0">Questions</h4>

			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewquestionModal">

							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>

						</button>

					</div>



					<div class="row">

						<div class="col-md-9 mb-3">	

							<div class="table-search-name">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>

						<div class="col-md-3 mb-3"><a href="add_question.php?test_id=<?php echo $_GET['test_id'] ?>" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>

					</div>



					<?php

			    	if( isset($_POST['question-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {

			    		//inserting data into the database

			    		if( !empty($_POST['title']) || !empty($_POST['option1']) || !empty($_POST['option2']) || !empty($_POST['option3']) || !empty($_POST['option4']) || !empty($_POST['correctopt']) ) {

							$question_add = $conn->query( question_insert($_POST['title'] ,$_POST['option1'] ,$_POST['option2'],$_POST['option3'],$_POST['option4'],$_POST['correctopt'], $_GET['test_id']) );

							if( $question_add ) {
								echo '<div class="alert alert-success alert-dismissable fade show">
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
										<strong>Success!</strong> Rocord successfully inserted.
									</div>';
								header("refresh:1, url=add_question.php?test_id=".$_GET['test_id']);
								exit();

							} else {

								echo '<div class="alert alert-danger alert-dismissable fade show">
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
										<strong>Error!</strong> Record insertion not completed.'. $conn->error .'
									</div>';
							}

			        		

			    		} else {

			    			echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Error!</strong> Invalid Input.
				                </div>';
			    		}

			    	}



			    	if( isset($_POST['btn-delete']) ) {

			    		$delete_question =  $conn->query( question_delete($_POST['question-id']) );

						if( $delete_question ) {

							echo '<div class="alert alert-info alert-dismissable fade show">
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									<strong>Record successfully deleted!</strong>.
								</div>';
						}

			    	}



					$question_ids = $conn->query(question_select_by_testid($_GET['test_id']));

					// using the paginator

					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;

					$page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;

					$links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;



					if( isset($_POST['name_submit']) ) :

						$query = question_search_name($_POST['s_name']);

					else :

						$query = question_select_by_testid($_GET['test_id']);

					endif;



					//$query      = banner_select();

					$paginator = new Pagination( $conn, $query );
					$results = $paginator->getData( $limit, $page );
					if($results->data) :
				    ?>

				    <div class="card">
					    <div class="table-responsive">
							<table class="table table-hover my-0 table-borderb-0" id="table_custom">
								<thead>
									<tr>
						            	<th><i class="fas fa-cog"></i></th>
										<th>Question Title</th>
										<th>Option 1</th>
										<th>Option 2</th>
										<th>Option 3</th>
										<th>Option 1</th>
										<th>Correct Opt</th>
									</tr>
								</thead>
						        <tbody id="post_list" data-table_name="question">

						        	<?php foreach ($results->data as $key => $result) { ?>
						        	<tr data-post_id="<?php echo $result['id']; ?>">

						        		<?php if($_SESSION['userRole'] == 'admin') { ?>

						        		<td class="text-center">
						        			<div class="d-flex justify-content-center align-items-center flex-wrap">
							              		
							              		<a href="edit.question.php?question_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"><i class="fas fa-edit"></i></a>
							                  	<form method="post" class="form">
							                      	<input type="hidden" name="question-id" value="<?php echo $result['id']; ?>">
							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="me-1 btn btn-danger" name="btn-delete">
							                      		<i class="fas fa-trash-alt"></i>
							                      	</button>
							                    </form>
							                </div>
						                </td>
						            	<?php } ?>

						        		<td><?php echo $result['title']; ?></td>
						        		<td><?php echo $result['option1']; ?></td>
						        		<td><?php echo $result['option2']; ?></td>
						        		<td><?php echo $result['option3']; ?></td>
						        		<td><?php echo $result['option4']; ?></td>
						        		<td><?php echo $result['correctopt']; ?></td>
						        		
						        	</tr>
						        	<?php } ?>

						        </tbody>
						    </table>
						</div>
				    </div>

				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php  else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	
				</div>
			</main>
		</div>
	</div>



	<div class="modal fade" id="addNewquestionModal" tabindex="-1" aria-labelledby="addNewbannerLabel" aria-hidden="true">
		<div class="modal-dialog ">
			<div class="modal-content">
				<form class="form" action="" method="post" enctype="multipart/form-data">
				  	<div class="modal-header">
				    	<h5 class="modal-title" id="addNewquestionLabel">Add New Questions</h5>
				  	</div>

				  	<div class="modal-body">
						<div class="row">
							<div class="col-md-12 form-group">
								<input type="text" placeholder="Question Title Here" name="title" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<input type="text" placeholder="Option 1" name="option1" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<input type="text" placeholder="Option 2" name="option2" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<input type="text" placeholder="Option 3" name="option3" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<input type="text" placeholder="Option 4" name="option4" class="form-control" required>
							</div>
							<div class="col-md-12 form-group">
								<select name="correctopt" class="form-control" required>
									<option value>-- Select Correct Opt No --</option>
									<option value="1">1</option>
									<option value="2">2</option>
									<option value="3">3</option>
									<option value="4">4</option>
								</select>
								
							</div>
						</div>
				  	</div>
				  	<div class="modal-footer btn-group w-100">
					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
					    <button type="submit" class="btn btn-primary btn-xl" name="question-add-submit">Add</button>
				  	</div>

			  	</form>

			</div>

		</div>

	</div>

<?php include 'footer.php'; ?>