<?php

	$page_title = 'Banners';

	include 'header.php'; 
 
	include 'functions.php'; 

	require 'paginator.class.php';

?>

	<div class="wrapper">

		<?php include 'sidebar.php'; ?>

		<div class="main">

			<?php include 'top-bar.php'; ?>

			<main class="content">

				<div class="container-fluid p-0">

					<div class="d-flex justify-content-between mb-3 align-items-center">

						<h4 class="card-title mb-0">Banners</h4>

			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewbannerModal">

							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>

						</button>

					</div>



					<div class="row">

						<div class="col-md-9 mb-3">	

							<div class="table-search-name">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>

						<div class="col-md-3 mb-3"><a href="banners.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>

					</div>



					<?php

			    	if( isset($_POST['banner-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {

			    		//inserting data into the database

			    		if( !empty($_POST['name']) ) {

		    				$image = '';

						  	if($_FILES['file_image']['name'] != '') {

								$image = image_upload($_FILES['file_image']);

							}

							if( $image ) {

			            		$banner_add = $conn->query( banner_insert($_POST['name'], $image, addslashes($_POST['description'])) );



			        			if( $banner_add ) {

			        				echo '<div class="alert alert-success alert-dismissable fade show">

					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

						                    <strong>Success!</strong> Rocord successfully inserted.

						                </div>';

						            header("refresh:1, url=banners.php");

                                    exit();

			        			} else {

			        				echo '<div class="alert alert-danger alert-dismissable fade show">

					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

						                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'

						                </div>';

			        			}

			        		}  else {

		        				echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

					                    <strong>Error!</strong> Images missing

					                </div>';

		        			}

			    		} else {

			    			echo '<div class="alert alert-danger alert-dismissable fade show">

				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

				                    <strong>Error!</strong> Invalid Input.

				                </div>';

			    		}

			    	}



			    	if( isset($_POST['btn-delete']) ) {

			    		$delete_banner =  $conn->query( banner_delete($_POST['banner-id']) );

						if( $delete_banner ) {

							echo '<div class="alert alert-info alert-dismissable fade show">

									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

									<strong>Record successfully deleted!</strong>.

								</div>';

						}

			    	}



					$banner_ids = $conn->query(banner_select());

					// using the paginator

					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;

					$page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;

					$links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;



					if( isset($_POST['name_submit']) ) :

						$query = banner_search_name($_POST['s_name']);

					else :

						$query = banner_select();

					endif;



					//$query      = banner_select();

					$paginator = new Pagination( $conn, $query );

					$results = $paginator->getData( $limit, $page );

					if($results->data) :



				    ?>



				    <div class="card">

					    <div class="table-responsive">

							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">



								<thead>

									<tr>

						            	<th><i class="fas fa-cog"></i></th>

										<th>Name</th>

										<th>Image</th>

										<th>Description</th>

										<th>Visibility</th>

									</tr>

								</thead>



						        <tbody id="post_list" data-table_name="wd_banners">



						        	<?php foreach ($results->data as $key => $result) { ?>



						        	<tr data-post_id="<?php echo $result['id']; ?>">



						        		<?php if($_SESSION['userRole'] == 'admin') { ?>



						        		<td align="center" class="text-center">



						        			<div class="d-flex justify-content-center align-items-center flex-wrap">



							              		<a href="edit.banner.php?banner_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"><i class="fas fa-edit"></i></a>



							                  	<form method="post" class="form">



							                      	<input type="hidden" name="banner-id" value="<?php echo $result['id']; ?>">



							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="me-1 btn btn-danger" name="btn-delete">



							                      		<i class="fas fa-trash-alt"></i>



							                      	</button>



							                    </form>

							                </div>



						                </td>



						            	<?php } ?>



						        		<td><?php echo $result['name']; ?></td>



						        		<td>



						        			<?php if( $result['image'] ) { ?>



					        				<img src="assets/uploads/<?php echo $result['image']; ?>" width="200">



						        			<?php } ?>



						        		</td>

						        		<td><small class="lh-normal"><?php echo $result['description'];?></small></td>

						        		<td>



						        			<div class="form-check form-switch d-flex px-0" id="visible_check">



											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_banners">



											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>



											</div>



						        		</td>



						        	</tr>



						        	<?php } ?>



						        </tbody>



						    </table>



						</div>



				    </div>

				    <div class="panel-footer">

				        <div class="row">

				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)

				          	</div>

				          	<div class="col-12 mt-5 text-center">

				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>

				          	</div>

				        </div>

				  	</div>

				  	<?php  else : ?>

				    <div class="alert alert-info text-center">No result(s) found.</div>

				    <?php endif; ?>	

				</div>

			</main>

		</div>

	</div>



	<div class="modal fade" id="addNewbannerModal" tabindex="-1" aria-labelledby="addNewbannerLabel" aria-hidden="true">

		<div class="modal-dialog ">

			<div class="modal-content">

				<form class="form" action="" method="post" enctype="multipart/form-data">

				  	<div class="modal-header">

				    	<h5 class="modal-title" id="addNewCategoryLabel">Add New Banner</h5>

				  	</div>

				  	<div class="modal-body">



						<div class="row">

							<div class="col-md-12 form-group">

								<input type="text" placeholder="Name" name="name" class="form-control" required>

							</div>



							<div class="col-md-12 form-group">

								<textarea id="summernote" placeholder="Description" name="description" class="form-control" rows="4"></textarea>

							</div>



							<div class="col-md-12 form-group">

								<label for="file_image" class="form-control file bg-other">

									Upload Image(s)

									<input class="show-for-sr" type="file" id="file_image" name="file_image">

								</label>

							</div>

						</div>

				  	</div>

				  	<div class="modal-footer btn-group w-100">

					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>

					    <button type="submit" class="btn btn-primary btn-xl" name="banner-add-submit">Add</button>

				  	</div>

			  	</form>

			</div>

		</div>

	</div>

<?php include 'footer.php'; ?>