<?php
	$page_title = 'Bookings';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>
	<div class="wrapper">
		<?php include 'sidebar.php'; ?>
		<div class="main">
			<?php include 'top-bar.php'; ?>
			<main class="content">
				<div class="container-fluid p-0">
					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Bookings</h4>
					</div>

					<div class="row">
						<div class="col-md-9 mb-3">	
							<div class="table-search-name">
								<form method="post">
					                <input type="text" name="s_booking" class="form-control" placeholder="Search by Destination">
					                <input type="submit" class="d-none" value="Submit" name="booking_submit">
					            </form>
				            </div>
						</div>
						<div class="col-md-3 mb-3"><a href="bookings.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
					</div>

					<?php

			    	if( isset($_POST['btn-delete']) ) {
			    		$delete_booking =  $conn->query( booking_delete($_POST['booking-id']) );
						if( $delete_booking ) {
							echo '<div class="alert alert-info alert-dismissable fade show">
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									<strong>Record successfully deleted!</strong>.
								</div>';
						}
			    	}

					//$booking_ids = $conn->query(booking_select());
					// using the paginator
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
					$page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
					$links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

					if( isset($_POST['booking_submit']) ) :
						$query = booking_search_name($_POST['s_booking']);
					else :
						$query = booking_select_date_desc();
					endif;

					//$query      = booking_select();
					$paginator = new Pagination( $conn, $query );
					$results = $paginator->getData( $limit, $page );
					if($results->data) :

				    ?>

				    <div class="card">
					    <div class="table-responsive">
							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">

								<thead>
									<tr>
						            	<th><i class="fas fa-cog"></i></th>
										<th>Destination</th>
										<th>Customer Details</th>
										<th>Description</th>
										<th>Departure time</th>
										<th>Departure date</th>
                                        <th>Created At</th>
									</tr>
								</thead>

						        <tbody id="post_list" data-table_name="wd_bookings">

						        	<?php foreach ($results->data as $key => $result) { ?>
                                    <?php 
                                    $customers = $conn->query( customer_by_id($result['customer_id']) )->fetch_assoc(); 
                                    if( $customers ) :
                                    ?>
						        	<tr data-post_id="<?php echo $result['id']; ?>">
						        		<?php if($_SESSION['userRole'] == 'admin') { ?>
						        		<td align="center" class="text-center">
						        			<div class="d-flex justify-content-center align-items-center flex-wrap">
							              		<a href="edit.bookings.php?booking_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"><i class="fas fa-edit"></i></a>
							                  	<form method="post" class="form">
							                      	<input type="hidden" name="booking-id" value="<?php echo $result['id']; ?>">
							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="me-1 btn btn-danger" name="btn-delete">
							                      		<i class="fas fa-trash-alt"></i>
							                      	</button>
							                    </form>
							                </div>
						                </td>
						            	<?php } ?>
						        		<td>
						        			<?php 
                                            $destination = $conn->query( destination_by_id($result['destination_id']) )->fetch_assoc();
                                            echo $destination['name']; 
                                            ?>
						        		</td>
                                        <td>
                                            <?php
                                            echo '<a href="customers.php?customer_id='.$customers['id'].'">'. $customers['name'] .'</a>';
                                            ?>
                                        </td>
						        		<td><small class="lh-normal"><?php echo $result['description'];?></small></td>
										<td><?php echo $destination['tour_time']; ?></td>
										<td><?php echo $destination['tour_date']; ?></td>
                                        <td><?php echo $result['created_at']; ?></td>
						        	</tr>
                                    <?php endif; ?>
						        	<?php } ?>

						        </tbody>

						    </table>

						</div>

				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php  else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	
				</div>
			</main>
		</div>
	</div>
<?php include 'footer.php'; ?>