<?php
$page_title = 'Customers';
include 'header.php'; 
include 'functions.php'; 
require 'paginator.class.php';

?>
<div class="wrapper">
    <?php include 'sidebar.php'; ?>
    <div class="main">
        <?php include 'top-bar.php'; ?>
        <main class="content">
            <div class="container-fluid p-0">
                <div class="d-flex justify-content-between mb-3 align-items-center">
                    <h4 class="card-title mb-0"><?php echo $page_title; ?></h4>
                    <!-- <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewcustomersModal">
                    <i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
                    </button> -->
                </div>
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <div class="table-search-phone">
                            <form method="post">
                                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">
                                <input type="submit" class="d-none" value="Submit" name="name_submit">
                            </form>
                        </div>
                    </div>
                    <div class="col-md-6 mb-3"><a href="customers.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
                </div>
                <?php
                    if( isset($_POST['btn-delete']) ) {
                    
                    	$delete_customer =  $conn->query( customer_delete($_POST['customer-id']) );

                    	if( $delete_customer ) {
                    		echo '<div class="alert alert-info alert-dismissable fade show">
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                    <strong>Record successfully deleted!</strong>.
                                </div>';
                    	}
                    }

                    $limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
                    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;                    
                    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 4;

                    if( isset($_POST['name_submit']) ) :
                    	$query = customer_search_name($_POST['s_name']);
                    elseif ( isset($_GET['customer_id']) ) :
                        $query = customer_by_id($_GET['customer_id']);
                    else :
                    	$query = customer_select();
                    endif;

                    $paginator = new Pagination( $conn, $query );
                    $results = $paginator->getData( $limit, $page );
                    if($results->data) :
                    
                    ?>
                <div class="card">
                    <div class="table-responsive">
                        <table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">
                            <thead>
                                <tr>
                                    <?php if($_SESSION['userRole'] == 'admin') { ?>
                                    <th><i class="fas fa-cog"></i></th>
                                    <?php } ?>
                                    <th>Name</th>
                                    <th>Town/City</th>
                                    <th>Phone</th>
                                    <th>Email</th>
                                    <th>Created</th>
                                </tr>
                            </thead>
                            <tbody id="post_list"  data-table_name="wd_customers">
                                <?php foreach ($results->data as $key => $result) { ?>
                                <tr data-post_id="<?php echo $result['id']; ?>">
                                    <?php if($_SESSION['userRole'] == 'admin') { ?>
                                    <td align="center" class="text-center">
                                        <div class="d-flex justify-content-center align-items-center">
                                            <!-- <a href="edit.customer.php?customer_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"> 
                                            <i class="fas fa-edit"></i>
                                            </a> -->
                                            <form method="post" class="form">
                                                <input type="hidden" name="customer-id" value="<?php echo $result['id']; ?>">
                                                <button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">
                                                	<i class="fas fa-trash-alt"></i>
                                                </button>
                                            </form>
                                        </div>
                                    </td>
                                    <?php } ?>
                                    <td><?php echo $result['name']; ?></td>
                                    <td><?php echo $result['towncity']; ?></td>
                                    <td><?php echo $result['phone']; ?></td>
                                    <td><?php echo $result['email']; ?></td>
                                    <td><?php echo $result['created_at']; ?></td>
                                </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="panel-footer">
                    <div class="row">
                        <div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
                        </div>
                        <div class="col-12 mt-5 text-center">
                            <?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
                        </div>
                    </div>
                </div>
                <?php else : ?>
                <div class="alert alert-info text-center">No result(s) found.</div>
                <?php endif; ?>	
            </div>
        </main>
    </div>
</div>

<?php include 'footer.php'; ?>