<?php
	$page_title = 'Tours & Destinations';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>
	<div class="wrapper">
		<?php include 'sidebar.php'; ?>
		<div class="main">
			<?php include 'top-bar.php'; ?>
			<main class="content">
				<div class="container-fluid p-0">
					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Tours & Destinations</h4>
			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewdestinationModal">
							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
						</button>
					</div>

					<div class="row">
						<div class="col-md-9 mb-3">	
							<div class="table-search-name">
								<form method="post">
					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">
					                <input type="submit" class="d-none" value="Submit" name="name_submit">
					            </form>
				            </div>
						</div>
						<div class="col-md-3 mb-3"><a href="destinations.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
					</div>

					<?php
			    	if( isset($_POST['destination-add-submit']) ) {
			    		//inserting data into the database

			    		if( !empty($_POST['name']) ) {
							$description = base64_encode($_POST['description']);
							$thumbImgsArray = array();
		    				$thumb_image = '';
						  	if($_FILES['file_thumb']['name'] != '') {
								$thumb_image = image_upload($_FILES['file_thumb']);
							}
							$counterImgs = 0;
							$file_ary = reArrayFiles($_FILES['thumbs_imgs']);
							foreach( $file_ary as $thumbImg ) {
								if($thumbImg["name"] != '') {
									$thumbImgsArray[$counterImgs] = image_upload_in_array($thumbImg['name'], $thumbImg['size'], $thumbImg['tmp_name']);
									$counterImgs++;
								}
							}

							$image = implode(',', $thumbImgsArray);
							if( $thumb_image && $image ) {
			            		$destination_add = $conn->query( destination_insert($_POST['name'], $thumb_image, $image, $_POST['no_people'], $_POST['no_days'], $_POST['price'], $_POST['sale_price'], $description, $_POST['tour_date'], $_POST['tour_time'], date("Y/m/d h:i:s A")) );

			        			if( $destination_add ) {
			        				echo '<div class="alert alert-success alert-dismissable fade show">
					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
						                    <strong>Success!</strong> Rocord successfully inserted.
						                </div>';
						            //header("refresh:1, url=destinations.php");
                                    //exit();
			        			} else {
			        				echo '<div class="alert alert-danger alert-dismissable fade show">
					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
						                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
						                </div>';
			        			}
			        		}  else {
		        				echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Images missing
					                </div>';
		        			}
			    		} else {
			    			echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Error!</strong> Invalid Input.
				                </div>';
			    		}
			    	}

			    	if( isset($_POST['btn-delete']) ) {
			    		$delete_destination =  $conn->query( destination_delete($_POST['destination-id']) );
						if( $delete_destination ) {
							echo '<div class="alert alert-info alert-dismissable fade show">
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									<strong>Record successfully deleted!</strong>.
								</div>';
						}
			    	}

					$destination_ids = $conn->query(destination_select());
					// using the paginator
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
					$page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
					$links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

					if( isset($_POST['name_submit']) ) :
						$query = destination_search_name($_POST['s_name']);
					else :
						$query = destination_select();
					endif;

					//$query      = destination_select();
					$paginator = new Pagination( $conn, $query );
					$results = $paginator->getData( $limit, $page );
					if($results->data) :

				    ?>

				    <div class="card">
					    <div class="table-responsive">
							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">

								<thead>
									<tr>
						            	<th><i class="fas fa-cog"></i></th>
										<th>Name</th>
										<th>Thumb</th>
										<th>No. of Days</th>
										<th>Sale Price</th>
										<th>Price</th>
										<th>Visibility</th>
										<th>Featured</th>
									</tr>
								</thead>
						        <tbody id="post_list" data-table_name="wd_destinations">
						        	<?php foreach ($results->data as $key => $result) { ?>
						        	<tr data-post_id="<?php echo $result['id']; ?>">
						        		<?php if($_SESSION['userRole'] == 'admin') { ?>
						        		<td align="center" class="text-center">
						        			<div class="d-flex justify-content-center align-items-center flex-wrap">
							              		<a href="edit.destination.php?destination_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"><i class="fas fa-edit"></i></a>
							                  	<form method="post" class="form">
							                      	<input type="hidden" name="destination-id" value="<?php echo $result['id']; ?>">
							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="me-1 btn btn-danger" name="btn-delete">
							                      		<i class="fas fa-trash-alt"></i>
							                      	</button>
							                    </form>
							                </div>
						                </td>
						            	<?php } ?>
						        		<td><?php echo $result['name']; ?></td>
						        		<td>
						        			<?php if( $result['thumb_image'] ) { ?>
					        				<img src="assets/uploads/<?php echo $result['thumb_image']; ?>" width="200">
						        			<?php } ?>
						        		</td>
						        		<td><?php echo $result['no_days']; ?></td>
						        		<td><?php echo $result['sale_price'];?></td>
						        		<td><?php echo $result['price'];?></td>
						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_destinations">

											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>
						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="featured_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['featured'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="featured" data-table_name="wd_destinations">

											  	<label class="form-check-label" for="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>

						        	</tr>

						        	<?php } ?>

						        </tbody>

						    </table>

						</div>

				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php  else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	
				</div>
			</main>
		</div>
	</div>

	<div class="modal fade" id="addNewdestinationModal" tabindex="-1" aria-labelledby="addNewdestinationLabel" aria-hidden="true">
		<div class="modal-dialog ">
			<div class="modal-content">
				<form class="form" action="" method="post" enctype="multipart/form-data">
				  	<div class="modal-header">
				    	<h5 class="modal-title" id="addNewCategoryLabel">Add New Destination</h5>
				  	</div>
				  	<div class="modal-body">

						<div class="row">
							<div class="col-md-12 form-group">
								<label>Name</label>
								<input type="text" placeholder="Name" name="name" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<label>Price</label>
								<div class="input-group">
									<span class="input-group-text">$</span>
									<input type="text" placeholder="Price" name="price" class="form-control" value="">
								</div>
							</div>
							<div class="col-md-6 form-group">
								<label>Sale Price</label>
								<div class="input-group">
									<span class="input-group-text">$</span>
									<input type="text" placeholder="Sale Price" name="sale_price" class="form-control" value="">
								</div>
							</div>
							<div class="col-md-6 form-group">
								<label>No. of People</label>
								<input type="text" placeholder="No. of People" name="no_people" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<label>No. of Days</label>
								<input type="text" placeholder="No. of Days" name="no_days" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<label>Departure Date</label>
								<input type="date" name="tour_date" class="form-control" required>
							</div>
							<div class="col-md-6 form-group">
								<label>Departure Time</label>
								<input type="time" name="tour_time" class="form-control" required>
							</div>
							<div class="col-md-12 form-group">
								<textarea id="summernote" placeholder="Description" name="description" class="form-control" rows="4"></textarea>
							</div>

							<div class="col-md-12">
								<h4 class="card-title text-center">Thumb Image</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file_thumb">
										    <span class="fas fa-camera"></span>
										    <span>Upload Image</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file_thumb" type="file" name="file_thumb" accept="image/*" onchange="loadFileThumb(event)">
									  	<img src="img/placeholder.png" id="outputThumb" alt="">
									</div>
								</div>
							</div>

							<div class="col-md-12 form-group">
								<label for="thumbs_imgs" class="form-control file bg-other">
									Upload Image(s)
									<input class="show-for-sr" type="file" id="thumbs_imgs" name="thumbs_imgs[]" multiple>
								</label>
								<small class="text-center d-block mt-2">NOTE: Image size should be 2MB max.</small>
							</div>
						</div>
				  	</div>
				  	<div class="modal-footer btn-group w-100">
					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
					    <button type="submit" class="btn btn-primary btn-xl" name="destination-add-submit">Add</button>
				  	</div>
			  	</form>
			</div>
		</div>
	</div>
<?php include 'footer.php'; ?>