<?php 
    $page_title = 'Edit Booking';
    include 'header.php'; 
    include 'functions.php'; 
    require 'paginator.class.php';
?>
    <div class="wrapper">
        <?php include 'sidebar.php'; ?>
        <div class="main">
            <?php include 'top-bar.php'; ?>
            <main class="content">
                <div class="container-fluid p-0">
                    <?php
                        if ( isset($_GET['booking_id']) ) {
                            $booking_id = $_GET['booking_id'];
                            $booking = $conn->query( booking_by_id($booking_id) )->fetch_assoc();
                        }

                        if( isset($_POST['booking-update-submit']) ) {
                            $booking_update = $conn->query( booking_update( $booking_id, $_POST['event_id'], $_POST['customer_id'], $_POST['no_people'], $_POST['description'], $_POST['event_time'], $_POST['event_date'], $_POST['status'] ) );
                            if ( $booking_update ) {
                                echo '<div class="alert alert-success alert-dismissable fade show">
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                        <strong>Success!</strong> Rocord successfully Updated.
                                    </div>';
                                header("refresh:1, url=bookings.php");
                                exit();

                            } else {
                                echo '<div class="alert alert-danger alert-dismissable">
                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                        <strong>Error!</strong> '. $conn->error .'
                                    </div>';
                            }
                        }
                    ?>
            		<!-- Edit category -->
                    <div class="card col-lg-8 mx-auto">
                        <div class="card-body">
                            <div class="modal-header">
                                <h4 class="modal-title">Edit Booking</h4>
                                <button type="button" onclick="history.back();" class="close btn-close">&times;</button>
                            </div>
                            <form action="" method="post" enctype="multipart/form-data">
                				<div class="modal-body">
                                    <div class="row">
                                        <input type="hidden" name="customer_id" value="<?php echo $booking['customer_id']; ?>">
                                        <div class="col-md-12 form-group">
                                            <?php $eventResults = $conn->query( event_select() ); 
                                            if( $eventResults->num_rows > 0 ) :
                                            ?>
                                            <label class="form-label">Event</label>
                                            <select name="event_id" id="event_id" class="form-select">
                                                <?php foreach ( $eventResults as $event ) : ?>
                                                <option <?php if( $event['id'] == $booking['event_id'] ) echo 'selected="selected"'; ?> value="<?php echo $event['id']; ?>"><?php echo $event['name']; ?></option>
                                                <?php endforeach; ?>
                                            </select>
                                            <?php endif; ?>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <label class="form-label">No. Of People</label>
                                            <input type="text" placeholder="Name" name="no_people" value="<?php echo $booking['no_people']; ?>" class="form-control" required>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <label class="form-label">Description</label>
                                            <textarea id="summernote" placeholder="Description" name="description" class="form-control" rows="4"><?php echo $booking['description']; ?></textarea>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <label class="form-label">Event Time</label>
                                            <input type="time" placeholder="Name" name="event_time" value="<?php echo $booking['event_time']; ?>" class="form-control" required>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <label class="form-label">Event Date</label>
                                            <input type="date" placeholder="Name" name="event_date" value="<?php echo $booking['event_date']; ?>" class="form-control" required>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <label class="form-label">Status</label>
                                            <select name="status" id="status" class="form-select">
                                                <option value="processing">Processing</option>
                                                <option value="Complete">Complete</option>
                                                <option value="canceled">Canceled</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer btn-group w-100">
                                    <button type="button" onclick="history.back();" class="btn btn-secondary btn-xl">Cancel</button>
                                    <button type="submit" class="btn btn-primary btn-xl" name="booking-update-submit">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </main>
        </div>
    </div>



<?php require 'footer.php'; ?>