<?php 
    $page_title = 'Edit Tours & Destinations';
    include 'header.php'; 
    include 'functions.php'; 
    require 'paginator.class.php';
?>
    <div class="wrapper">
        <?php include 'sidebar.php'; ?>
        <div class="main">
            <?php include 'top-bar.php'; ?>
            <main class="content">
                <div class="container-fluid p-0">
                    <?php
                        if ( isset($_GET['destination_id']) ) {
                            $destination_id = $_GET['destination_id'];
                            $destination = $conn->query( destination_by_id($destination_id) )->fetch_assoc();
                        }

                        if( isset($_POST['destination-update-submit']) ) {
                            $description = base64_encode($_POST['description']);
                        	//for thumb image
                            $thumb_image = '';
                            if($_FILES['file_thumb']['name'] != '') {
                                $thumb_image = image_upload($_FILES['file_thumb']);
                            } else {
                                $thumb_image = $_POST['thumb_image'];
                            }
                            //for gallery images
                            $main_image = '';
                            if($_FILES['thumbs_imgs']['name'][0] != '') {
                                $thumbImgsArray = array();
                                $counterImgs = 0;
							    $file_ary = reArrayFiles($_FILES['thumbs_imgs']);
                                foreach( $file_ary as $thumbImg ) {
                                    if($thumbImg["name"] != '') {
                                        $thumbImgsArray[$counterImgs] = image_upload_in_array($thumbImg['name'], $thumbImg['size'], $thumbImg['tmp_name']);
                                        $counterImgs++;
                                    }
                                }
                                $main_image = implode(',', $thumbImgsArray);
                            } else {
                                $main_image = $_POST['main_image'];
                            }
                            if( $main_image && $thumb_image) {
                                $destination_update = $conn->query( destination_update($destination_id, $_POST['name'], $thumb_image, $main_image, $_POST['no_people'], $_POST['no_days'], $_POST['price'], $_POST['sale_price'], $description, $_POST['tour_date'], $_POST['tour_time'], date("Y/m/d h:i:s A")) );

                                if ( $destination_update ) {
                                    echo '<div class="alert alert-success alert-dismissable fade show">
                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                            <strong>Success!</strong> Rocord successfully Updated.
                                        </div>';
                                    header("refresh:1, url=destinations.php");
                                    exit();

                                } else {
                                    echo '<div class="alert alert-danger alert-dismissable">
                                            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                            <strong>Error!</strong> '. $conn->error .'
                                        </div>';
                                }

                            }

                        }

                    ?>

            		<!-- Edit Destination -->
                    <div class="card col-lg-8 mx-auto">
                        <div class="card-body">
                            <div class="modal-header">
                                <h4 class="modal-title">Edit <?php echo $destination['name']; ?></h4>
                                <button type="button" onclick="history.back();" class="close btn-close">&times;</button>
                            </div>
                            <form action="" method="post" enctype="multipart/form-data">
                				<div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12 form-group">
                                            <label>Name</label>
                                            <input type="text" placeholder="Name" name="name" value="<?php echo $destination['name']; ?>" class="form-control" required>
                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>Price</label>
											<div class="input-group">
												<span class="input-group-text">$</span>
												<input type="text" placeholder="Price" name="price" value="<?php echo $destination['price']; ?>" class="form-control" required>
											</div>
										</div>
                                        <div class="col-md-6 form-group">
                                            <label>Sale Price</label>
                                            <div class="input-group">
                                                <span class="input-group-text">$</span>
                                                <input type="text" placeholder="Sale Price" name="sale_price" class="form-control" value="<?php echo $destination['sale_price']; ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>No. of People</label>
                                            <input type="text" placeholder="No. of People" name="no_people" class="form-control" value="<?php echo $destination['no_people']; ?>" required>
                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>No. of Days</label>
                                            <input type="text" placeholder="No. of Days" name="no_days" class="form-control" value="<?php echo $destination['no_days']; ?>" required>
                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>Departure Date</label>
                                            <input type="date" name="tour_date" class="form-control" value="<?php echo $destination['tour_date']; ?>" required>
                                        </div>
                                        <div class="col-md-6 form-group">
                                            <label>Departure Time</label>
                                            <input type="time" name="tour_time" class="form-control" value="<?php echo $destination['tour_time']; ?>" required>
                                        </div>
                                        <div class="col-md-12 form-group">
                                            <textarea id="summernote" placeholder="Description" name="description" class="form-control" rows="4"><?php echo base64_decode( $destination['description'] ); ?></textarea>
                                        </div>
                                        <div class="col-md-12">
											<h4 class="card-title text-center">Thumb Image</h4>
											<div class="profile-pic-box mb-3">
												<div class="profile-pic">
												  	<label class="-label" for="file_thumb">
													    <span class="fas fa-camera"></span>
													    <span>Upload Image</span>
													    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
												  	</label>
												  	<input id="file_thumb" type="file" name="file_thumb" accept="image/*" onchange="loadFileThumb(event)">
												  	<img src="assets/uploads/<?php echo $destination['thumb_image']; ?>" id="outputThumb" alt="">
												</div>
                                            </div>
										</div>
										<div class="col-md-12 form-group">
                                            <label for="thumbs_imgs" class="form-control file bg-other">
                                                Upload Image(s)
                                                <input class="show-for-sr" type="file" id="thumbs_imgs" name="thumbs_imgs[]" multiple>
                                            </label>
                                            <small class="text-center d-block mt-2">NOTE: Image size should be 2MB max.</small>
                                        </div>
                                    </div>
                                </div>
                                <input type="hidden" name="thumb_image" value="<?php echo $destination['thumb_image']; ?>">
                                <input type="hidden" name="main_image" value="<?php echo $destination['main_image']; ?>">
                                <div class="modal-footer btn-group w-100">
                                    <button type="button" onclick="history.back();" class="btn btn-secondary btn-xl">Cancel</button>
                                    <button type="submit" class="btn btn-primary btn-xl" name="destination-update-submit">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </main>
        </div>
    </div>
<?php require 'footer.php'; ?>