<?php
	$page_title = 'Add Products';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">

					<?php

			    	if( isset($_POST['product-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database
			    		if( !empty($_POST['name']) ) {

			    			$product = $conn->query("select * from `wd_products` where `name`='". $_POST['name'] ."'");
			    			
			    			if($product->num_rows > 0 ) {
			    				echo '<div class="alert alert-warning alert-dismissable fade show">
					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Product already exists.
					                </div>';
			    			} else {

			    				$image = '';
							  	if($_FILES['upload_imgs']['name'] != '') {
									$image = image_upload($_FILES['upload_imgs']);
								}
								if( $image ) {
				            		$product_add = $conn->query( product_insert($_POST['name'], $image, $_POST['description'], date("Y/m/d h:i:s A")) );
									
				        			if($product_add) {
				        				echo '<div class="alert alert-success alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Success!</strong> Rocord successfully inserted.
							                </div>';
				        			} else {
				        				echo '<div class="alert alert-danger alert-dismissable fade show">
						                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Record insertion not completed.
							                </div>';
				        			}
				        		}
			        		}
			    		} else {
			    			echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Error!</strong> Invalid Input.
				                </div>';
			    		}
			    	}

				    ?>
				    
				    <div class="card col-lg-8 col-xl-7 mx-auto">
				    	<div class="card-body">
				    		<form class="form" action="" method="post" enctype="multipart/form-data">
							  	<div class="modal-header">
							    	<h5 class="modal-title" id="addNewCategoryLabel">Add New Product</h5>
							  	</div>
							  	<div class="modal-body">
									<div class="row">
										<div class="col-md-12 form-group">
											<input type="text" placeholder="Name" name="name" class="form-control" required>
										</div>
										<div class="col-md-12 form-group">
											<div class="input-group">
												<span class="input-group-text">$</span>
												<input type="text" placeholder="Price" name="price" class="form-control" required>
											</div>
										</div>
										<div class="col-md-12">
											<input type="hidden" name="category_id" id="category_id">
											<div class="dropdown opt-select-dpd form-group">
											  	<button class="form-select text-start opt-select-text" type="button" id="categoriesDropdown" data-bs-toggle="dropdown" aria-expanded="false">
											    	Select Category
											  	</button>
											  	<ul class="dropdown-menu top-100" aria-labelledby="categoriesDropdown">
											  		<?php 
													$categories = $conn->query("SELECT * from wd_categories where parent_id=0"); 
													if( $categories ) :
														foreach ($categories as $category) :
													?>
											    	<li>
											    		<button class="dropdown-item" type="button" value="<?php echo $category['id']; ?>">
											    			<?php echo $category['name']; ?>
										    			</button>
										    			<?php
										    			$subCategories = $conn->query('SELECT * from wd_categories where parent_id="'. $category['id'] .'"');
									    					if( $subCategories ) :
										    			?>
										    			<ul class="list-unstyled">
										    				<?php
										    					foreach( $subCategories as $subCategory ) :
							    							?>
										    				<li>
										    					<button class="dropdown-item ps-4" type="button" value="<?php echo $subCategory['id']; ?>">
													    			<?php echo $subCategory['name']; ?>
												    			</button>
												    		</li>
												    		<?php endforeach; ?>
												    	</ul>
												    	<?php endif; ?>
											    	</li>
											    	<?php endforeach; endif; ?>
											  	</ul>
											</div>
										</div>
										<div class="col-md-12 form-group">
											<textarea id="summernote" placeholder="Description" name="description" class="form-control" rows="4"></textarea>
										</div>
										<div class="col-md-6">
											<h4 class="card-title text-center">Thumb Image</h4>
											<div class="profile-pic-box mb-3">
												<div class="profile-pic">
												  	<label class="-label" for="file_thumb">
													    <span class="fas fa-camera"></span>
													    <span>Upload Image</span>
													    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
												  	</label>
												  	<input id="file_thumb" type="file" name="file_thumb" accept="image/*" onchange="loadFileThumb(event)">
												  	<img src="img/placeholder.png" id="outputThumb" alt="">
												</div>
											</div>
										</div>
										<div class="col-md-6">
											<h4 class="card-title text-center">Main Image</h4>
											<div class="profile-pic-box mb-3">
												<div class="profile-pic">
												  	<label class="-label" for="file">
													    <span class="fas fa-camera"></span>
													    <span>Upload Image</span>
													    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
												  	</label>
												  	<input id="file" type="file" name="file" accept="image/*" onchange="loadFile(event)">
												  	<img src="img/placeholder.png" id="output" alt="">
												</div>
											</div>
										</div>
									</div>
							  	</div>
							  	<div class="modal-footer btn-group w-100">
								    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
								    <button type="submit" class="btn btn-primary btn-xl" name="category-add-submit">Add</button>
							  	</div>
						  	</form>
					  	</div>
					</div>

				</div>
			</main>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	$('.opt-select-dpd ul button').on('click', function() {
		$(this).closest('.opt-select-dpd').siblings('#category_id').val($(this).attr('value'));
		$(this).closest('.opt-select-dpd').children('.form-select').text($(this).text());
	})

</script>