<?php
	/**
	* Pagination class
	*/
	class Pagination
	{
		private $_conn;
        private $_limit;
        private $_page;
        private $_query;
        private $_total;

		public function __construct($conn, $query)
		{
			# code...
			$this->_conn = $conn;
			$this->_query = $query;

			$rs = $this->_conn->query( $this->_query );
			if( $rs )
				$this->_total = $rs->num_rows;

		}

		// Retrieving Results
		public function getData($limit = 25, $page = 1) {
			$this->_limit = $limit;
			$this->_page = $page;

			if ( $this->_limit == 'all' ) {
		        $query      = $this->_query;

		    } else {
		        $query      = $this->_query . " LIMIT " . ( ( $this->_page - 1 ) * $this->_limit ) . ", $this->_limit";

		    }

			$rs = $this->_conn->query( $query );
			$results = false;
			if($rs) {
				if($rs->num_rows > 0) {
					while ( $row = $rs->fetch_assoc() ) {
						if(!is_array($results))
							$results = [];
						$results[] = $row;
					}
				} else {
					$results = false;
				}
			}
			$result = new stdClass();
			$result->page = $this->_page;
			$result->limit = $this->_limit;
			$result->total = $this->_total;
			$result->data = $results;

			return $result;
		}

		// Displaying Pagination Links
		public function createLinks($links, $list_class) {
			
			if ( $this->_limit == 'all' ) {
		        return '';
		    }

			$last = ceil($this->_total / $this->_limit);

			$start = ( ( $this->_page - $links ) > 0) ? $this->_page - $links : 1;
			$end = ( ( $this->_page + $links ) < $last ) ? $this->_page + $link : $last;

			$html = '<ul class="' . $list_class . '">';

			$class = ( $this->_page == 1 ) ? "disabled" : "";

			$html .= '<li class="' . $class . '"><a href="?limit=' . $this->_limit . '&page='. ( $this->_page - 1 ) . '">&laquo;</a></li>';

			if( $start == 1 ) {
				$html .= '<li><a href="?limit=' . $this->_limit . '&page=1">1</a></li>';
				$html .= '<li class="disabled"><span>...</span></li>';
			}

			for ( $i = $start; $i <= $end; $i++ ) {
				$class = ( $this->_page == $i ) ? "active" : "";
				$html .= '<li class="'. $class . '"><a href="?limit=' . $this->_limit . '&page=' . $i . '">' . $i . '</a></li>';
			}

			if ( $end < $last ) {
				$html .= '<li class="disabled"><span>...</span></li>';
				$html .= '<li><a href="?limit=' . $this->_limit . '&page=' . $last . '">' . $last . '</a></li>';
			}

			$class = ( $this->_page == $last ) ? "disabled" : "";
			$html .= '<li class="disabled"><a href="?limit=' . $this->_limit . '&page=' . ( $this->_page + 1 ) . '">&raquo;</a></li>';

			$html .= '</ul>';

			return $html;
		}
	}

?>