<?php $page_title = 'Users'; include 'header.php'; ?>
<?php include 'functions.php'; ?>
<?php require 'paginator.class.php'; ?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>
		<div class="main">
			<?php include 'top-bar.php'; ?>
			<main class="content">
				<div class="container-fluid p-0">
					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0"><?php echo $page_title; ?></h4>
					</div>

					<div class="row">
						<div class="col-md-9 mb-3">	
							<div class="table-search-name">
								<form method="post">
					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">
					                <input type="submit" class="d-none" value="Submit" name="name_submit">
					            </form>
				            </div>
						</div>
						<div class="col-md-3 mb-3"><a href="users.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
					</div>
					<?php
					$user_ids = $conn->query(user_select());
					
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
					$page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
					$links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

					if( isset($_POST['name_submit']) ) :
						$query = user_search_name($_POST['s_name']);
					else :
						$query = user_select();
					endif;

					//$query      = product_select();
					$paginator = new Pagination( $conn, $query );
					$results = $paginator->getData( $limit, $page );
					if($results->data) :
					?>
					<div class="card">
					    <div class="table-responsive">
						<table id="user-list" class="table text-center table-hover my-0 table-borderb-0 results" width="100%" cellspacing="0">
							<thead>
								<tr>
									<th class="col-xs-2 text-center"><em class="fa fa-cog"></em></th>
									<th class="">ID</th>
									<th class="">Name</th>
									<th class="">Email</th>
									<th class="">Phone</th>
									<th class="">Role</th>
									<th class="">Date</th>
									<th class="">Status</th>
								</tr>
							</thead>
							<tbody>
								<?php foreach ($results->data as $key => $result) { ?>
								<tr <?php if($result['status'] == "Block" || $result['status'] == "Unapprove") echo 'class="danger"'; ?> >
									<td align="center" class="text-center">
										<a href="edit.user.php?user_id=<?php echo $result['id']; ?>" class="btn-edit-row btn btn-default">
											<em class="fa fa-pencil"></em>
										</a>
										<a href="view.user.php?user_id=<?php echo $result['id']; ?>" class="btn btn-info">
											<i class="fa fa-eye"></i>
										</a>
										<?php if($result['status'] == 'Block' || $result['status'] == 'Unapprove') { ?>
											<form method="post" class="hide_print">
												<input type="hidden" name="user-id" value="<?php echo $result['id']; ?>">
												<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-success" name="btn-approve"><em class="fa fa-thumbs-up"></em></button>
											</form>
										<?php } else if($result['status'] == 'Open') { ?>
											<form method="post" class="hide_print">
												<input type="hidden" name="user-id" value="<?php echo $result['id']; ?>">
												<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-warning" name="btn-unapprove"><em class="fa fa-thumbs-down"></em></button>
											</form>
										<?php } ?>
									</td>
									<td><?php echo $result['id']; ?></td>
									<td><?php echo $result['name']; ?></td>
									<td><?php echo $result['email']; ?></td>
									<td><?php echo $result['phone']; ?></td>
									<td><?php echo $result['role']; ?></td>
									<td><?php echo $result['join_date']; ?></td>
									<td><?php echo $result['status']; ?></td>
								</tr>
								<?php } ?>
							</tbody>
						</table>

						</div>

				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php  else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	
				</div>
			</main>
		</div>
	</div>

<?php require 'footer.php'; ?>