$(document).ready(function() {
    let currentQuestion = 0;
    const questions = $('.question');
    const totalQuestions = questions.length;
  
    //console.log(answers);
    let score = 0; 

    // Show the first question
    $(questions[currentQuestion]).show();

    $('.next, .submit').click(function() {
        const question = $(this).closest('.question');
        const questionName = question.data('question');
        const selectedAnswerIndex = $(`input[name="question${questionName}"]:checked`).data('index');
        const correctAnswerIndex = answers[`question${questionName}`];

        if (selectedAnswerIndex !== undefined) {
            // Disable all radio buttons for the current question
            $(`input[name="question${questionName}"]`).prop('disabled', true);

            if (selectedAnswerIndex === correctAnswerIndex) {
                question.find(`input[data-index="${correctAnswerIndex}"]`).parent().addClass('correct');
                $('#result').text('Correct!').removeClass('incorrect').addClass('correct');
                score++;
            } else {
                question.find(`input[data-index="${selectedAnswerIndex}"]`).parent().addClass('incorrect');
                question.find(`input[data-index="${correctAnswerIndex}"]`).parent().addClass('highlight');
                $('#result').text('Incorrect!').removeClass('correct').addClass('incorrect');
            }

            setTimeout(function() {
                $('#result').text('');
                question.hide();
                currentQuestion++;
                if (currentQuestion < totalQuestions) {
                    $(questions[currentQuestion]).show();
                } else {
                    $('#result').html(`<p>Quiz Completed! Your score: <span>${score}</span> out of <span>${totalQuestions}</span></p>`).removeClass('correct incorrect');
                }
            }, 2000);
        } else {
            $('#result').text('Please select an answer').removeClass('correct').addClass('incorrect');
        }
    });
});
